Open CASCADE Technology: PGeom_SurfaceOfRevolution Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PGeom_SurfaceOfRevolution Class Reference

`#include <PGeom_SurfaceOfRevolution.hxx>`

Inheritance diagram for PGeom_SurfaceOfRevolution:
[legend]

## Public Member Functions
| PGeom_SurfaceOfRevolution ()
| Creates a SurfaceOfRevolution with default values. More...
| PGeom_SurfaceOfRevolution (const Handle< PGeom_Curve > &aBasisCurve, const gp_Dir &aDirection, const gp_Pnt &aLocation)
| Creates a SurfaceOfRevolution with these values. More...
void | Location (const gp_Pnt &aLocation)
| Set the value of the field location with <aLocation>. More...
gp_Pnt | Location () const
| Returns the value of the field location. More...
| PGeom_SurfaceOfRevolution (const Storage_stCONSTclCOM &a)
const gp_Pnt & | _CSFDB_GetPGeom_SurfaceOfRevolutionlocation () const
Public Member Functions inherited from PGeom_SweptSurface
void | BasisCurve (const Handle< PGeom_Curve > &aBasisCurve)
| Set the value of the field basisCurve with <aBasisCurve>. More...
Handle< PGeom_Curve > | BasisCurve () const
| Returns the value of the field basisCurve. More...
void | Direction (const gp_Dir &aDirection)
| Set the value of the field direction with <aDirection>. More...
gp_Dir | Direction () const
| Returns the value of the field direction. More...
| PGeom_SweptSurface (const Storage_stCONSTclCOM &a)
Handle< PGeom_Curve > | _CSFDB_GetPGeom_SweptSurfacebasisCurve () const
void | _CSFDB_SetPGeom_SweptSurfacebasisCurve (const Handle< PGeom_Curve > &p)
const gp_Dir & | _CSFDB_GetPGeom_SweptSurfacedirection () const
Public Member Functions inherited from PGeom_Surface
| PGeom_Surface (const Storage_stCONSTclCOM &a)
| PGeom_Surface ()
Public Member Functions inherited from PGeom_Geometry
| PGeom_Geometry (const Storage_stCONSTclCOM &a)
| PGeom_Geometry ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Additional Inherited Members
Protected Member Functions inherited from PGeom_SweptSurface
| PGeom_SweptSurface ()
| Initializes the field(s) with default value(s). More...
| PGeom_SweptSurface (const Handle< PGeom_Curve > &aBasisCurve, const gp_Dir &aDirection)
| Initialize the fields with these values. More...
Protected Attributes inherited from PGeom_SweptSurface
Handle< PGeom_Curve > | basisCurve
gp_Dir | direction

## Constructor & Destructor Documentation

PGeom_SurfaceOfRevolution::PGeom_SurfaceOfRevolution | ( |  | ) |

Creates a SurfaceOfRevolution with default values.

PGeom_SurfaceOfRevolution::PGeom_SurfaceOfRevolution | ( | const Handle< PGeom_Curve > & | aBasisCurve,
|  | const gp_Dir & | aDirection,
|  | const gp_Pnt & | aLocation
| ) |  |

Creates a SurfaceOfRevolution with these values.

PGeom_SurfaceOfRevolution::PGeom_SurfaceOfRevolution | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

const gp_Pnt& PGeom_SurfaceOfRevolution::_CSFDB_GetPGeom_SurfaceOfRevolutionlocation | ( |  | ) | const
| inline

void PGeom_SurfaceOfRevolution::Location | ( | const gp_Pnt & | aLocation | ) |

Set the value of the field location with <aLocation>.

gp_Pnt PGeom_SurfaceOfRevolution::Location | ( |  | ) | const

Returns the value of the field location.

The documentation for this class was generated from the following file:

- PGeom_SurfaceOfRevolution.hxx